@charset "utf-8";
/* style.css
 * **************************************************
 * 2026年 3/4月 キャンペーン
 * **************************************************
 */

/* ========================================
   ベース
   ======================================== */
:root {
    --color-base: #595858;
    --color-primary: #ed7c90;
    --color-secondary: #ff71a3;
}

body {
    color: var(--color-base);
    font-family: "Noto Sans JP", sans-serif;
    font-optical-sizing: auto;
    font-size: min(1.32vw, 14px);
    font-weight: 400;
    line-break: strict;
    overflow-x: hidden;
}

/* img */
img {
    height: auto;
    max-width: 100%;
}

/* heading */
h2,
h3,
h4 {
    margin: 0 auto;
}

/* link */
a {
    display: block;
}

a img {
    transition: 0.2s;
}

a:hover img {
    transform: translateY(-3px);
}

/* main */
main {
    background-color: #ffffff;
    display: block;
}

/* content */
#content {
    background-color: #ffffff;
    margin: 0 auto;
    overflow: hidden;
    padding: 0;
    width: min(100%, 1280px);
}

/* 固定ボタン */
.fixed-button {
    background-color: var(--color-primary);
    box-shadow: 0 -4px 6px 0 rgba(0, 0, 0, 0.1);
    padding: min(1.87%, 25px) 0;
    position: fixed;
    bottom: 0;
    left: 50%;
    transform: translate(-50%, 100%);
    transition: transform 0.5s;
    width: min(100vw, 1280px);
    z-index: 99;
}

.fixed-button.show {
    transform: translate(-50%, 0);
}

.fixed-button ul {
    align-items: flex-end;
    display: flex;
    justify-content: center;
}

.fixed-button ul li {
    width: 37.5%;
    max-width: 480px;
}

.fixed-button ul li a {
    display: block;
    width: 100%;
}

.fixed-button-notes {
    color: #ffffff;
    font-size: min(1.56vw, 16px);
    line-height: 1.8;
    margin: 0.6em 0 0 0;
    overflow-wrap: anywhere;
    word-break: keep-all;
    text-align: center;
}

.fixed-button-notes br {
    display: none;
}

@media only screen and (max-width: 767px) {
    .fixed-button {
        padding: 16px 16px 8px;
        width: 100%;
    }

    .fixed-button ul li {
        width: 75%;
    }

    .fixed-button-notes {
        font-size: 10px;
        line-height: 1.6;
        margin-top: 8px;
    }
}

/* ========================================
   コンテンツ
   ======================================== */

/* ---------------------------------------- */
/*  メインビジュアル */
/* ---------------------------------------- */

.mainvisual {
    position: relative;
}

.mainvisual .logo {
    position: absolute;
    top: 3.77%;
    left: 2.73%;
    width: 13.67%;
}

.mainvisual .logo a:hover img {
    opacity: 0.8;
    transform: translateY(0);
}

@media only screen and (max-width: 767px) {
}

/* ---------------------------------------- */
/*  イントロダクション */
/* ---------------------------------------- */

.introduction {
    background: url(../images/bg_introduction_01.jpg) no-repeat center bottom;
    background-size: cover;
    padding: 3.12% 0 1.4%;
}

.introduction-layout {
    align-items: center;
    display: flex;
    gap: 0 min(6.25vw, 80px);
    justify-content: center;
}

.introduction-image {
    width: 26.56%;
}

.introduction-text {
    flex-shrink: 1;
}

.introduction-text p {
    color: #21b8c5;
    font-size: min(2.21vw, 26px);
    font-weight: 500;
    letter-spacing: 0.15em;
    line-height: 2.3;
    margin: 0 0 1.15em;
}

@media only screen and (max-width: 767px) {
    .introduction {
        padding-top: 32px;
        padding-bottom: 16px;
    }

    .introduction-layout {
        flex-direction: column-reverse;
    }

    .introduction-image {
        width: 50%;
    }

    .introduction-text p {
        font-size: 15px;
        text-align: center;
    }
}

/* ---------------------------------------- */
/*  キャンペーン */
/* ---------------------------------------- */

.campaign {
    --space-campaign: min(13.82vw, 177px);
    background: #fffbc7 url(../images/bg_campaign_01.png) no-repeat center top;
    background-size: 100%;
    padding: 0 0 7.18%;
}

/* campaign-header */
.campaign-header {
    align-items: center;
    background: url(../images/bg_campaign_title.png) no-repeat center top;
    background-size: contain;
    display: flex;
    flex-direction: column;
    margin: 0 0 2.34%;
    padding: 4.37% var(--space-campaign) 0;
}

.campaign-period {
    width: 43.19%;
}

/* campaign-content */
.campaign-content {
    margin: 0 var(--space-campaign);
    position: relative;
}

.campaign-benefit {
    --border-radius: min(1.56vw, 20px);
    --drop-shadow: 5px 5px 0;
    display: flex;
}

/* 特典 */
.campaign-benefit-main {
    background-color: #ffffff;
    border-radius: var(--border-radius);
    filter: drop-shadow(var(--drop-shadow) rgba(35, 24, 21, 0.3));
    justify-content: space-between;
    margin: 0 0 2.8%;
    overflow: hidden;
    transform: translateZ(0);
    z-index: 2;
}

.campaign-benefit-main::before {
    background-color: var(--color-primary);
    content: "";
    display: block;
    height: min(3.51vw, 45px);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
}

.campaign-benefit-main-item {
    position: relative;
    width: 32.18%;
}

.campaign-benefit-main-item:not(:last-child)::before,
.campaign-benefit-main-item:not(:last-child)::after {
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    content: "";
    display: block;
    position: absolute;
    right: -10px;
    z-index: 1;
}

.campaign-benefit-main-item:not(:last-child)::before {
    background-image: url(../images/border_campaign.svg);
    height: 13.44%;
    top: 2.94%;
    width: 3px;
}

.campaign-benefit-main-item:not(:last-child)::after {
    background-image: url(../images/border_campaign_plus.svg);
    height: 73.1%;
    bottom: 4.2%;
    margin-right: -13px;
    width: 29px;
}

/* 入会プレゼント */
.campaign-benefit-text {
    margin-bottom: 1.72%;
    width: 40.38%;
}

.campaign-benefit-sub {
    flex-wrap: wrap;
    gap: min(1.56vw, 20px);
}

.campaign-benefit-sub-item {
    background-color: #ffffff;
    border-radius: var(--border-radius);
    filter: drop-shadow(var(--drop-shadow) rgba(35, 24, 21, 0.3));
    overflow: hidden;
    transform: translateZ(0);
    width: calc(50% - (min(1.56vw, 20px) / 2));
}

.campaign-benefit-sub-3col {
    column-gap: min(1.17vw, 15px);
}

.campaign-benefit-sub-3col .campaign-benefit-sub-item {
    width: calc((100% - 30px) / 3);
}

/* 注釈 */
.campaign-notes {
    margin: 2.69% 0 0;
}

.campaign-notes li {
    font-size: min(1.3vw, 13px);
    letter-spacing: 0.03em;
    line-height: 1.9;
    margin-left: 1em;
    text-indent: -1em;
}

/* 花びら */
.campaign-deco {
    position: absolute;
}

.campaign-deco-01 {
    top: -3.56%;
    right: -1.07%;
    width: 9.28%;
}

.campaign-deco-02 {
    bottom: 28.37%;
    left: -4.96%;
    width: 9.5%;
}

@media only screen and (max-width: 767px) {
    .campaign {
        --space-campaign: 24px;
        padding-bottom: 40px;
    }

    .campaign-header {
        padding-top: 24px;
        margin-bottom: 12px;
    }

    .campaign-period {
        width: 55%;
    }

    .campaign-benefit {
        --border-radius: 15px;
        --drop-shadow: 3px 3px 0;
        flex-direction: column;
    }

    .campaign-benefit-main {
        margin-bottom: 24px;
    }

    .campaign-benefit-main-item {
        padding: 0 18%;
        width: 100%;
    }

    .campaign-benefit-main-item::before {
        content: none;
    }

    .campaign-benefit-main-item img {
        display: block;
        width: 100%;
    }

    .campaign-benefit-main-item:not(:last-child)::after {
        content: none;
    }

    .campaign-benefit-main-item::before,
    .campaign-benefit-main-item::before,
    .campaign-benefit-main-item:not(:last-child)::before {
        background-color: var(--color-primary);
        content: "";
        display: block;
        height: 18.88%;
        position: absolute;
        top: 0;
        left: 50%;
        transform: translateX(-50%);
        width: 100%;
        z-index: -1;
    }

    .campaign-benefit-sub,
    .campaign-benefit-sub-3col {
        gap: 16px 0;
    }

    .campaign-benefit-sub-item,
    .campaign-benefit-sub-3col .campaign-benefit-sub-item {
        width: 100%;
    }

    .campaign-benefit-text {
        margin-bottom: 12px;
        width: 70%;
    }

    .campaign-notes {
        margin-top: 20px;
    }

    .campaign-notes li {
        font-size: 11px;
        line-height: 1.6;
    }

    .campaign-deco-01 {
        top: -1%;
        right: -1%;
        width: 13%;
    }

    .campaign-deco-02 {
        width: 13%;
    }
}

/* ---------------------------------------- */
/*  魅力 */
/* ---------------------------------------- */

.attraction {
    padding: 0 0 9.37%;
}

.attraction-header {
    padding: 5.07% 0 6.01%;
}

.attraction-heading {
    width: 50.46%;
}

.attraction-text {
    color: #424242;
    font-size: min(1.56vw, 20px);
    font-weight: 700;
    letter-spacing: 0.1em;
    line-height: 1.9;
    margin: 1.17% 0 0 0;
    text-align: center;
}

.attraction-loop-slider {
    overflow: hidden;
}

.attraction-loop-slider + .attraction-loop-slider {
    margin-top: 1.17%;
}

.attraction-loop-slider .swiper-wrapper {
    transition-timing-function: linear !important;
}

.attraction-loop-slider .swiper-slide {
    border-radius: min(1.56vw, 20px);
    overflow: hidden;
}

@media only screen and (max-width: 767px) {
    .attraction {
        padding-bottom: 40px;
    }

    .attraction-header {
        padding-top: 40px;
        padding-bottom: 24px;
    }

    .attraction-heading {
        width: calc(100% - 24px);
    }

    .attraction-text {
        font-size: 12px;
        letter-spacing: 0.1em;
        margin-top: 12px;
    }

    .attraction-loop-slider + .attraction-loop-slider {
        margin-top: 16px;
    }

    .attraction-loop-slider .swiper-slide {
        border-radius: 10px;
    }
}

/* ---------------------------------------- */
/*  プログラム */
/* ---------------------------------------- */

.program {
    background:
        url(../images/bg_program_01.jpg) no-repeat center top,
        url(../images/bg_program_02.jpg) no-repeat center bottom;
    background-size: 100%;
    padding: 10.15% 0;
}

/* プログラムトップ */
.program-top {
    margin: 0 0 5.07%;
}

.program-top-slider .swiper-slide {
    margin-inline: clamp(-80px, -6.25vw, 0px);
}

.program-top-slider .swiper-button-prev,
.program-top-slider .swiper-button-next {
    background-repeat: no-repeat;
    background-size: 100%;
}

.program-top-slider .swiper-button-prev {
    background-image: url(../images/arrow_program_top_slider_prev.svg);
    left: min(8.98vw, 115px);
}

.program-top-slider .swiper-button-next {
    background-image: url(../images/arrow_program_top_slider_next.svg);
    right: min(8.98vw, 115px);
}

/* プログラムイントロ */
.program-introduction {
    margin-bottom: 6.09%;
}

.program-introduction-text {
    font-size: min(1.82vw, 24px);
    font-weight: 500;
    letter-spacing: 0.08em;
    line-height: 2;
    margin: 6.64% 0 0 0;
    text-align: center;
}

/* プログラム */
.program-block {
    background-color: #ffffff;
    border-radius: min(2.34vw, 30px);
    margin: 0 min(9.37vw, 120px);
    padding: 5.31% 4.14% 6.64%;
}

.program-block:not(:last-of-type) {
    margin-bottom: 7.81%;
}

.program-block-heading {
    margin-bottom: 3.74%;
    margin-inline: auto;
    width: 95%;
}

.program-block-text {
    color: #333333;
    font-size: min(1.82vw, 24px);
    font-weight: 500;
    letter-spacing: 0.08em;
    line-height: 1.8;
    margin: 0 0 7.92%;
    text-align: center;
}

.program-block-text b {
    color: #ed7c90;
    font-weight: inherit;
}

.program-block-text span {
    color: var(--color-base);
    display: block;
    font-size: min(1.3vw, 13px);
    letter-spacing: 0.03em;
    margin-top: 0.61em;
}

.program-block-text span br {
    display: none;
}

/* ボタン */
.program-block-button {
    margin: 0 auto;
}

.program-block-01 .program-block-button {
    width: 52.46%;
}

.program-block-02 .program-block-button {
    width: 65.31%;
}

/* プログラム01 */
.program-gym-slider {
    margin-bottom: 8.17%;
    margin-inline: calc(50% - 50vw);
    padding: 0 0 6.25%;
    width: 100vw;
}

@media (min-width: 1280px) {
    .program-gym-slider {
        margin-inline: calc((min(4.41vw, 53px) + min(9.37vw, 120px)) * -1);
        width: 1280px;
    }
}

.program-gym-slider .swiper-slide {
    box-shadow: 10px 10px 10px 0 rgba(35, 24, 21, 0.2);
    border-radius: min(0.78vw, 10px);
    overflow: hidden;
}

.program-gym-slider .swiper-pagination-bullet {
    background-color: #b5b5b6;
    height: min(0.93vw, 12px);
    width: min(0.93vw, 12px);
}

.program-gym-slider
    .swiper-horizontal
    > .swiper-pagination-bullets
    .swiper-pagination-bullet,
.program-gym-slider
    .swiper-pagination-horizontal.swiper-pagination-bullets
    .swiper-pagination-bullet {
    margin: 0 min(0.54vw, 7px);
}

.program-gym-slider .swiper-horizontal > .swiper-pagination-bullets,
.program-gym-slider .swiper-pagination-horizontal.swiper-pagination-bullets {
    bottom: 0;
}

/* プログラム02 */
.program-item {
    margin: 0 0 11.77%;
}

.program-item:not(:first-of-type) {
    margin-bottom: 9.1%;
}

.program-item-lead {
    margin-inline: auto;
    width: 89.93%;
}

.program-item-slider {
    margin-inline: auto;
    padding: 0 3.42% 6.42%;
    position: relative;
    width: 92.93%;
}

.program-item-slide {
    text-align: center;
}

.program-item-slider .swiper-pagination-bullet {
    background-color: #acabab;
    border-radius: 0;
    height: min(1.32vw, 17px);
    opacity: 1;
    width: min(1.32vw, 17px);
}

.program-item-slider .swiper-pagination-bullet-active {
    background-color: var(--color-secondary);
}

.program-item-slider
    .swiper-pagination-horizontal.swiper-pagination-bullets
    .swiper-pagination-bullet {
    margin: 0 min(0.7vw, 9px);
}

.program-item-slider .swiper-pagination-horizontal.swiper-pagination-bullets {
    bottom: 0;
}

.program-item-slider .swiper-button-prev,
.program-item-slider .swiper-button-next {
    background-size: 100%;
    height: min(5vw, 64px);
    top: min(16.79vw, 215px);
    bottom: auto;
    margin-top: 0;
    width: min(5vw, 64px);
}

.program-item-slider .swiper-button-prev {
    background-image: url(../images/arrow_program_item_slider_prev.svg);
}

.program-item-slider .swiper-button-next {
    background-image: url(../images/arrow_program_item_slider_next.svg);
}

.program-item-slider-img {
    border-radius: min(2.34vw, 30px);
    margin: 0 0 6.57%;
    overflow: hidden;
}

.program-item-slide-heading {
    color: var(--color-secondary);
    font-size: min(3.9vw, 38px);
    font-weight: 700;
    letter-spacing: 0.1em;
    line-height: 1.1;
    margin: 0 0 3.72%;
}

.program-item-slide-text {
    font-size: min(1.56vw, 20px);
    line-height: 1.8;
    margin: 0 0 3.91%;
}

.program-item-slide-button {
    margin-inline: auto;
    width: 31.38%;
}

/* プログラム03 */
.program-links {
    display: flex;
    flex-direction: column;
    gap: min(2vw, 26px) 0;
}

.program-link a:hover img {
    opacity: 0.8;
    transform: translateY(0);
}

@media only screen and (max-width: 767px) {
    .program {
        background: url(../images/bg_program_01.jpg) no-repeat center top;
        background-size: cover;
        padding-block: 40px;
    }

    .program-top {
        margin-bottom: 24px;
    }

    .program-top-slider .swiper-slide {
        margin-inline: -8vw;
    }

    .program-top-slider .swiper-button-prev,
    .program-top-slider .swiper-button-next {
        height: 30px;
        margin-top: -15px;
        width: 30px;
    }

    .program-top-slider .swiper-button-prev {
        left: 16px;
    }

    .program-top-slider .swiper-button-next {
        right: 16px;
    }

    .program-introduction {
        margin-bottom: 32px;
    }

    .program-introduction-text {
        font-size: 13px;
        margin-top: 24px;
        overflow-wrap: anywhere;
        word-break: keep-all;
    }

    .program-block {
        border-radius: 4vw;
        margin-inline: 12px;
        padding: 32px 16px 40px;
    }

    .program-block:not(:last-of-type) {
        margin-bottom: 40px;
    }

    .program-block-heading {
        margin-bottom: 16px;
        width: 100%;
    }

    .program-block-text {
        font-size: 13px;
        margin-bottom: 24px;
        overflow-wrap: anywhere;
        word-break: keep-all;
    }

    .program-block-text span {
        font-size: 11px;
        letter-spacing: 0;
    }

    .program-block-text span br {
        display: block;
    }

    .program-block-01 .program-block-button {
        width: 70%;
    }

    .program-block-02 .program-block-button {
        width: 90%;
    }

    .program-gym-slider {
        margin-bottom: 32px;
        padding-bottom: 32px;
    }

    .program-gym-slider .swiper-slide {
        box-shadow: 5px 5px 5px 0 rgba(35, 24, 21, 0.2);
        border-radius: 2.66vw;
    }

    .program-gym-slider .swiper-pagination-bullet {
        height: 8px;
        width: 8px;
    }

    .program-gym-slider
        .swiper-horizontal
        > .swiper-pagination-bullets
        .swiper-pagination-bullet,
    .program-gym-slider
        .swiper-pagination-horizontal.swiper-pagination-bullets
        .swiper-pagination-bullet {
        margin: 0 6px;
    }

    .program-item {
        margin-bottom: 48px;
    }

    .program-item:not(:first-of-type) {
        margin-bottom: 40px;
    }

    .program-item-slider {
        padding: 0 8px 40px;
        width: 100%;
    }

    .program-item-slider .swiper-pagination-bullet {
        height: 10px;
        width: 10px;
    }

    .program-item-slider
        .swiper-pagination-horizontal.swiper-pagination-bullets
        .swiper-pagination-bullet {
        margin: 0 4px;
    }

    .program-item-slider .swiper-button-prev,
    .program-item-slider .swiper-button-next {
        height: 32px;
        top: 20vw;
        margin-top: 8px;
        width: 32px;
    }

    .program-item-slider .swiper-button-prev {
        left: 16px;
    }

    .program-item-slider .swiper-button-next {
        right: 16px;
    }

    .program-item-slider-img {
        border-radius: 4vw;
        margin-bottom: 20px;
    }

    .program-item-slide-heading {
        font-size: 17px;
        margin-bottom: 12px;
    }

    .program-item-slide-text {
        font-size: 12px;
        margin-bottom: 20px;
        overflow-wrap: anywhere;
        word-break: keep-all;
    }

    .program-item-slide-button {
        width: 50%;
    }

    .program-links {
        gap: 8px 0;
    }
}

/* ---------------------------------------- */
/*  WEB入会 */
/* ---------------------------------------- */

.webentry {
    background: url(../images/bg_webentry_01.png) no-repeat center top;
    background-size: cover;
    color: #ffffff;
    padding: 14.37% 0 8.9%;
    text-align: center;
}

.webentry-heading {
    margin-inline: auto;
    margin-bottom: 2.34%;
    width: 43.12%;
}

.webentry-text {
    color: #ffffff;
    font-size: min(1.69vw, 21px);
    font-weight: 500;
    letter-spacing: 0.04em;
    line-height: 1.8;
    margin: 0 0 5%;
}

.webentry-button {
    display: block;
    margin: 0 auto;
    width: 25.31%;
}

@media only screen and (max-width: 767px) {
    .webentry {
        padding-top: 56px;
        padding-bottom: 40px;
    }

    .webentry-heading {
        margin-bottom: 16px;
        width: 65%;
    }

    .webentry-text {
        font-size: 12px;
        margin-bottom: 24px;
    }

    .webentry-button {
        width: 55%;
    }
}

/* ---------------------------------------- */
/*  ワンコイン体験 */
/* ---------------------------------------- */

.onecoin {
    background: url(../images/bg_onecoin_01.jpg) no-repeat center top;
    padding: 6.64% 0 10.15%;
}

.onecoin-heading {
    margin-inline: auto;
    margin-bottom: 5.85%;
    width: 72.81%;
}

.onecoin-content {
    margin-inline: auto;
    position: relative;
    width: 87.03%;
}

.onecoin-notes {
    font-size: min(1.3vw, 16px);
    font-weight: 400;
    letter-spacing: 0.14em;
    line-height: 1.7;
    position: absolute;
    bottom: 20.89%;
    left: 50%;
    transform: translateX(-50%);
    text-align: center;
    width: 100%;
}

.onecoin-notes span {
    display: block;
}

.onecoin-button {
    display: block;
    position: absolute;
    bottom: 10.82%;
    left: 50%;
    transform: translateX(-50%);
    width: 29.08%;
}

@media only screen and (max-width: 767px) {
    .onecoin {
        padding-top: 40px;
        padding-bottom: 40px;
    }

    .onecoin-heading {
        margin-bottom: 20px;
        width: 80%;
    }

    .onecoin-content {
        width: 100%;
    }

    .onecoin-notes {
        font-size: 10px;
        line-height: 1.5;
        letter-spacing: 0;
        bottom: auto;
        top: 66%;
        overflow-wrap: anywhere;
        word-break: keep-all;
        width: 90%;
    }

    .onecoin-button {
        margin-top: 8px;
        position: relative;
        bottom: auto;
        width: 55%;
    }
}

/* ---------------------------------------- */
/*  フッター */
/* ---------------------------------------- */

.footer {
    background-color: #ffffff;
}

.footer-inner {
    background-color: #ffffff;
    margin: 0 auto;
    padding: min(3.9vw, 50px) 0 min(6.25vw, 80px);
    width: min(100%, 1280px);
}

.footer-logo {
    display: flex;
    gap: 0 50px;
    justify-content: center;
}

.footer-logo-item {
    width: 17.96%;
}

.footer-logo-item:hover img {
    opacity: 0.8;
    transform: translateY(0);
}
